Bug 1653200 - Wrong autocomplete suggestion for xccdf_rule_name parameter
Summary: Wrong autocomplete suggestion for xccdf_rule_name parameter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Ondřej Pražák
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 08:50 UTC by Sanket Jagtap
Modified: 2019-10-07 17:19 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-0.11.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:05 UTC


Attachments (Terms of Use)
Search suggestion (56.83 KB, image/png)
2018-11-26 08:50 UTC, Sanket Jagtap
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:15 UTC
Foreman Issue Tracker 25550 None None None 2018-11-26 13:03:24 UTC

Description Sanket Jagtap 2018-11-26 08:50:37 UTC
Created attachment 1508510 [details]
Search suggestion

Description of problem:


Version-Release number of selected component (if applicable):
Build:Satellite 6.5.0 snap 5

How reproducible:
Always

Steps to Reproduce:
1. Go to reports in Web UI
2. Type xccdf_rule_name = 

Actual results:
The suggestions are wrong

Expected results:
Either the suggestion should be correct or no suggestion. 

Additional info:

Comment 2 Ondřej Pražák 2018-11-26 13:03:22 UTC
Created redmine issue http://projects.theforeman.org/issues/25550 from this bug

Comment 3 Brad Buckingham 2018-11-27 18:26:14 UTC
Is this a regression from 6.4?

Comment 4 Sanket Jagtap 2018-12-18 06:11:04 UTC
This is a 6.5 RFE , so not a regression i would say

Comment 5 Bryan Kearney 2019-01-07 21:10:22 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 6 Bryan Kearney 2019-01-07 21:10:24 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 Sanket Jagtap 2019-01-23 10:56:02 UTC
Build: Satellite 6.5.0 snap 12


The xccdf_rule_name = doesn't suggest wrong, and there are no more suggestions as there are too high number of rules, which makes sense

Verfying this,

Comment 10 errata-xmlrpc 2019-05-14 12:39:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.